Subject: [icnrg] [[email-masked]: New Version Notification for draft-gundogan-icnrg-ccnlowpan-01.txt]

From: Cenk Gündoğan <[email-masked]>
Date: Tue, 6 Mar 2018 10:32:14 +0100

Dear all,

we uploaded a new version which includes
* more elaboration on the link fragmentation scheme adopted from 6LoWPAN
* changes to the core concept of the stateless compression scheme
* editorial restructuring of the draft

I worked on the stateless compression for the NDN packet format here
[1]. The idea is to have a stand-alone library with minimal external
dependencies that can be plugged into every network stack. I was able to
use this stand-alone library in conjunction with the network stack of
RIOT. The Wireshark dumps also confirmed the proper working of our link
fragmentation (displaying them as 6LoWPAN, though, but that is another
story).  

There is a 6LoWPAN refactoring ahead of us in RIOT [2], which
eases the ICN LoWPAN integration into RIOT immensely. Once this is in
place, everybody is welcome to play around with ICN LoWPAN in IEEE
802.15.4 networks.

The next milestones are to elaborate on a stateful compression scheme
and to add a link layer adaptation for LoRa (probably similar to [3]).

Cheers,
Cenk

[1] https://github.com/inetrg/libICNL
[2] https://github.com/RIOT-OS/RIOT/issues/8511
[3] https://datatracker.ietf.org/wg/lpwan/about/

----- Forwarded message from [email-masked] -----

Date: Mon, 5 Mar 2018 13:22:51 -0800
From: [email-masked]
To: Matthias Waehlisch <[email-masked]>, "Thomas C. Schmidt" <[email-masked]>, Cenk Gundogan <[email-masked]>, Christopher Scherb
	<[email-masked]>, Thomas Schmidt <[email-masked]>, Christian Tschudin <[email-masked]>, Claudio Marxer <[email-masked]>
Subject: New Version Notification for draft-gundogan-icnrg-ccnlowpan-01.txt

A new version of I-D, draft-gundogan-icnrg-ccnlowpan-01.txt
has been successfully submitted by Cenk Gundogan and posted to the
IETF repository.

Name:		draft-gundogan-icnrg-ccnlowpan
Revision:	01
Title:		ICN Adaptation to LowPAN Networks (ICN LoWPAN)
Document date:	2018-03-05
Group:		Individual Submission
Pages:		36
URL:            https://www.ietf.org/internet-drafts/draft-gundogan-icnrg-ccnlowpan-01.txt
Status:         https://datatracker.ietf.org/doc/draft-gundogan-icnrg-ccnlowpan/
Htmlized:       https://tools.ietf.org/html/draft-gundogan-icnrg-ccnlowpan-01
Htmlized:       https://datatracker.ietf.org/doc/html/draft-gundogan-icnrg-ccnlowpan-01
Diff:           https://www.ietf.org/rfcdiff?url2=draft-gundogan-icnrg-ccnlowpan-01

Abstract:
   In this document, a convergence layer for CCNx and NDN over IEEE
   802.15.4 LowPan networks is defined.  A new frame format is specified
   to adapt CCNx and NDN packets to the small MTU size of IEEE 802.15.4.
   For that, syntactic and semantic changes to the TLV-based header
   formats are described.  To support compatibility with other LoWPAN
   technologies that may coexist on a wireless medium, the dispatching
   scheme provided by 6LoWPAN is extended to include new dispatch types
   for CCNx and NDN.  Additionally, the link fragmentation component of
   the 6LoWPAN dispatching framework is applied to ICN chunks.  Basic
   improvements in efficiency are advised by stateless compression
   schemes.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

----- End forwarded message -----

-- 
Cenk Gündoğan

Hamburg University of Applied Sciences
Dept. of Computer Science / Internet Technologies Group
Berliner Tor 7, 20099 Hamburg, Germany
Fon: +49 40 42875 - 8426
Mail: [email-masked]
Web: https://www.inet.haw-hamburg.de/